Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 628424 - xfce-extra/xfce4-mixer: last rites (was: fatal error: dbus/dbus-glib.h: No such file or directory)
Summary: xfce-extra/xfce4-mixer: last rites (was: fatal error: dbus/dbus-glib.h: No su...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: XFCE Team
URL:
Whiteboard:
Keywords: PMASKED
: 628468 (view as bug list)
Depends on:
Blocks: gst-0.10-removal
  Show dependency tree
 
Reported: 2017-08-20 19:01 UTC by Brian Evans
Modified: 2017-10-04 07:17 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,48.75 KB, text/plain)
2017-08-20 19:01 UTC, Brian Evans
Details
Add missing dbus-glib CFLAGS/LIBS (0001-Fix-broken-dbus-includes-libs.patch,1.53 KB, patch)
2017-08-21 19:29 UTC, tka
Details | Diff
Add missing dbus-glib CFLAGS/LIBS to Makefile.am and Makefile.in (0001-Fix-broken-dbus-includes-libs_no_autotools.patch,2.33 KB, patch)
2017-08-21 19:33 UTC, tka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2017-08-20 19:01:06 UTC
Created attachment 489860 [details]
build.log

Portage 2.3.8 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop, gcc-5.4.0, glibc-2.23-r4, 4.12.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.12.5-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.3
KiB Mem:    16413212 total,  13230380 free
KiB Swap:    2097148 total,   2097148 free
Head commit of repository gentoo: 5e94a5ae4a92f93f47b7355a53e30ae4c266fe7f

Head commit of repository grknight: 350cf1ee7a015e6811a8e0fe6eb620fc514f4d3f

Head commit of repository mysql: 037d7629abe09d14a5c01f69c7e2ca2c8e15b29b

sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.28 p1.2) 2.28
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.7.2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.29::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.28-r2::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git+ssh://git@git.gentoo.org/repo/gentoo.git
    sync-user: grknight
    priority: -1000

Local_Ebuilds
    location: /usr/local/portage
    masters: gentoo

grknight
    location: /var/repo/grknight
    sync-type: git
    sync-uri: https://github.com/grknight/gentoo.git
    masters: gentoo

mysql
    location: /var/repo/mysql
    sync-type: git
    sync-uri: git+ssh://git@git.gentoo.org/proj/mysql.git
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -mno-tls-direct-seg-refs -mno-3dnow"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -mno-tls-direct-seg-refs -mno-3dnow"
DISTDIR="/var/lib/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --jobs --load-average 6.0 --nospinner --autounmask-write=n --autounmask-keep-masks"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/var/lib/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--quiet"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran gdbm gif glamor gnutls gpm gtk iconv ipv6 jpeg lcms libav libedit libnotify mad mng modules mp3 mp4 mpeg multilib mysql ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds qt3support readline sdl seccomp session spell ssl startup-notification svg tiff truetype udev udisks unicode upower usb vdpau vorbis wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 popcnt sse3 sse4a" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput roccat_isku" KERNEL="linux" L10N="en en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" NETBEANS_MODULES="apisupport java javafx php profiler webcommon websvccommon" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0 php7-1" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21 ruby22" SANE_BACKENDS="net" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

xfce-extra/xfce4-mixer-4.11.0::gentoo was built with the following:
USE="alsa keybinder -debug -oss" ABI_X86="(64)"
Comment 1 edes 2017-08-20 22:42:18 UTC
It fails with the same message for me.
Comment 2 Neil 2017-08-21 09:20:52 UTC
Same problem here, and a duplicate report has been made at https://bugs.gentoo.org/show_bug.cgi?id=628468

My systems emerge information...


# emerge --info '=xfce-extra/xfce4-mixer-4.11.0::gentoo'
Portage 2.3.8 (python 3.4.6-final-0, default/linux/amd64/13.0/no-multilib, gcc-6.4.0, glibc-2.25-r4, 4.12.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.12.5-gentoo-x86_64-Intel-R-_Core-TM-_i7-4790_CPU_@_3.60GHz-with-gentoo-2.4.1
KiB Mem:    32772800 total,  26777844 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 21 Aug 2017 05:15:01 +0000
Head commit of repository gentoo: 7aef8f2d5e64dd0b00a16a81601fddc6f08e6cc4
sh bash 4.4_p12
ld GNU ld (Gentoo 2.28.1 p1.0) 2.28.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.2::gentoo
dev-lang/python:          2.7.13::gentoo, 3.4.6::gentoo, 3.6.1-r1::gentoo
dev-util/cmake:           3.9.1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r1::gentoo
sys-apps/openrc:          0.29::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.28.1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.uk.gentoo.org/gentoo-portage
    priority: -1000

slack
    location: /usr/local/portage
    masters: gentoo

x-local
    location: /usr/portage/local
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet --alphabetical --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ http://www.mirrorservice.org/sites/distfiles.gentoo.org/"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bindist bzip2 cdda cddb cdio cdr cli consolekit cracklib crypt cups cxx dbus device-mapper dri dvd dvdr emacs exif flac fortran gdbm gif gimp glitz gtk gtk3 iconv icu id3tag introspection ipv6 jpeg kpathsea lensfun modules mp3 ncurses nls nptl offensive ogg opengl openmp oss pam pcre pdf perl png policykit pulseaudio python qt5 readline sdl seccomp session spell sqlite ssh ssl svg tcpd thunar tiff truetype udev unicode usb vorbis x264 xattr xcb xinetd zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3 sse4_1 sse4_2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev virtualbox" KERNEL="linux" L10N="en en_GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

xfce-extra/xfce4-mixer-4.11.0::gentoo was built with the following:
USE="alsa -debug keybinder oss"



# emerge -pqv '=xfce-extra/xfce4-mixer-4.11.0::gentoo'
[ebuild   R   ] xfce-extra/xfce4-mixer-4.11.0  USE="alsa -debug keybinder oss"
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2017-08-21 12:28:47 UTC
*** Bug 628468 has been marked as a duplicate of this bug. ***
Comment 4 tka 2017-08-21 19:29:01 UTC
Created attachment 490038 [details, diff]
Add missing dbus-glib CFLAGS/LIBS

This applies to the git version of xfce4-mixer. It does not work in /etc/portage/patches/ but can be submitted upstream. Feel free to do so; right now, I don't have the time to figure out how to submit it myself.
Comment 5 tka 2017-08-21 19:33:53 UTC
Created attachment 490040 [details, diff]
Add missing dbus-glib CFLAGS/LIBS to Makefile.am and Makefile.in

You can put this version of the patch into /etc/portage/patches/xfce-extra/xfce4-mixer/. The ebuild does not regenerate Makefile.in from Makefile.am, thus this version patches both.
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-08-21 19:50:50 UTC
To be honest, I doubt there's a purpose in submitting it upstream. xfce4-mixer is discontinued, and is no longer part of xfce with 4.12 release. It requires vulnerable gstreamer which will be removed soon, so I'll just lastrite it.
Comment 7 Xavier Miller gentoo-dev 2017-08-21 19:58:49 UTC
(In reply to tka from comment #5)
> Created attachment 490040 [details, diff] [details, diff]
> Add missing dbus-glib CFLAGS/LIBS to Makefile.am and Makefile.in
> 
> You can put this version of the patch into
> /etc/portage/patches/xfce-extra/xfce4-mixer/. The ebuild does not regenerate
> Makefile.in from Makefile.am, thus this version patches both.

This patch works for me, thanks!
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-08-21 20:18:42 UTC
# Michał Górny <mgorny@gentoo.org> (21 Aug 2017)
# xfce4-mixer is discontinued upstream and no longer considered part
# of the DE since 4.12. It requires vulnerable gstreamer:0.10, and no
# longer builds with the development versions of core Xfce4 components.
# The suggested replacement is xfce-extra/xfce4-pulseaudio-plugin.
# Removal in 30 days. Bug #628424.
xfce-extra/xfce4-mixer
Comment 9 Thomas J. Moore 2017-08-26 16:32:53 UTC
Is there any replacement that doesn't force me to install pulseaudio just to get a volume slider in my button bar?  xfce4-pulseaudio-plugin doesn't seem to work with apulse.  I guess I'll just live without; no big loss.
Comment 10 Brian Evans Gentoo Infrastructure gentoo-dev 2017-08-26 17:46:46 UTC
(In reply to Thomas J. Moore from comment #9)
> Is there any replacement that doesn't force me to install pulseaudio just to
> get a volume slider in my button bar?  xfce4-pulseaudio-plugin doesn't seem
> to work with apulse.  I guess I'll just live without; no big loss.

You can use any mixer that integrates into a toolbar.  Personally, I chose media-sound/retrovol which is gtk+:2 only, but there are others.
Comment 11 Thomas J. Moore 2017-08-26 19:52:31 UTC
(In reply to Brian Evans from comment #10)
> You can use any mixer that integrates into a toolbar.  Personally, I chose
> media-sound/retrovol which is gtk+:2 only, but there are others.

Yeah, I realize I can use any application in the bar that I like.  Thanks for the recommendation, in any case.  I guess I was complaining more about the fact that the xfce project (and, in turn, the last rites notice) only offers something that requires a complete system reconfig (which I refuse to do), for something so trivial.  So much for xfce being "light".  This isn't really the time or place to complain about it, I guess.
Comment 12 Brian Evans Gentoo Infrastructure gentoo-dev 2017-08-26 23:43:56 UTC
(In reply to Thomas J. Moore from comment #11)
> (In reply to Brian Evans from comment #10)
> > You can use any mixer that integrates into a toolbar.  Personally, I chose
> > media-sound/retrovol which is gtk+:2 only, but there are others.
> 
> Yeah, I realize I can use any application in the bar that I like.  Thanks
> for the recommendation, in any case.  I guess I was complaining more about
> the fact that the xfce project (and, in turn, the last rites notice) only
> offers something that requires a complete system reconfig (which I refuse to
> do), for something so trivial.  So much for xfce being "light".  This isn't
> really the time or place to complain about it, I guess.

I did look into updating xfce4-mixer to the latest gstreamer, but it seems gstreamer 1.0 dropped the interface this was using (aka didn't port it from 0.10 to 1.0).  So there is little choice but to choose something else to not reinvent things.
Comment 13 Sam 2017-08-31 19:29:00 UTC
@Michal Gornas, can you please change the message? It shouldn't suggest using xfce4-pulseaudio-plugin, but suggest xfce4-alsa-plugin.

Most users of xfce4-mixer probably prefer not to use pulseaudio.
Comment 14 Larry the Git Cow gentoo-dev 2017-10-03 22:12:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=325be8c225e432acf9d85d4e96bb66e830919245

commit 325be8c225e432acf9d85d4e96bb66e830919245
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2017-10-03 22:03:21 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2017-10-03 22:12:24 +0000

    xfce-extra/xfce4-mixer: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/628424

 profiles/package.mask                            |  8 -----
 xfce-extra/xfce4-mixer/Manifest                  |  1 -
 xfce-extra/xfce4-mixer/metadata.xml              | 11 -------
 xfce-extra/xfce4-mixer/xfce4-mixer-4.11.0.ebuild | 41 ------------------------
 4 files changed, 61 deletions(-)